Name:           bibutils
Version:        4.15
Release:        1%{?dist}
Summary:        Bibliography tools

License:        GPL+
URL:            http://sourceforge.net/p/bibutils/home/Bibutils/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}_%{version}_src.tgz

Patch1:         bibutils-tcsh.patch
Patch2:         bibutils-lib-symlink.patch
Patch3:         bibutils-bin-cflags.patch

%description
The bibutils package interconverts between various bibliography
formats using a common MODS-format XML intermediate.


%package libs
Summary:        Bibutils library

%description libs
Bibutils library.


%package devel
Summary:        Development files for bibutils
Requires:       %{name}-libs = %{version}-%{release}

%description devel
Bibutils development files.

%prep
%setup -q -n %{name}_%{version}
%patch1 -p1 -b .orig
%patch2 -p1 -b .orig
%patch3 -p1 -b .orig


%build
./configure --install-dir %{buildroot}%{_bindir} --install-lib %{buildroot}%{_libdir} --dynamic
export CFLAGS="-I../lib %{optflags}"
make -C lib
make -C bin


%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_libdir}
make install

mkdir -p %{buildroot}%{_includedir}/%{name} %{buildroot}%{_libdir}/pkgconfig
cp -p lib/*.h %{buildroot}%{_includedir}/%{name}
cp -p lib/%{name}.pc %{buildroot}%{_libdir}/pkgconfig
sed -i -e 's!\\!!g' -e 's!libdir=${prefix}/lib!libdir=%{_libdir}!' -e 's!${includedir}!${includedir}/%{name}!' %{buildroot}%{_libdir}/pkgconfig/%{name}.pc


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%doc Copying ChangeLog
%{_bindir}/*


%files libs
%{_libdir}/libbibutils.so.*


%files devel
%{_includedir}/%{name}
%{_libdir}/libbibutils.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Oct  1 2012 Jens Petersen <petersen@redhat.com> - 4.15-1
- initial packaging
